www/p5-HTTP-GHTTP - The NetBSD Packages Collection

Perl interface to the gnome ghttp library

This is a fairly low level interface to the Gnome project's libghttp,
which allows you to process HTTP requests to HTTP servers.  There also
exists a slightly higher level interface - a simple get() function which
takes a URI as a parameter.

It allows you to make very simple HTTP requests, without the weight of
something like LWP.  This makes it very useful in situations where
memory and speed are at a premium, such as mod_perl.

It has full support for proxy requests and authenticated requests.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5 www/libghttp www/libghttp

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 8.0earmv7hfp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 8.0earmv7hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 8.0i386p5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 8.0i386p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 8.0powerpcp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 8.0powerpcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 8.0powerpcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 8.0powerpcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 8.0x86_64p5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 8.0x86_64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0aarch64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0aarch64p5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0aarch64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0alphap5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0alphap5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0alphap5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0earmv6hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0earmv6hfp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0earmv6hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0earmv7hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0earmv7hfp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0earmv7hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0earmv7hfp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0i386p5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0i386p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0i386p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0mips64ebp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0mips64ebp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0mips64ebp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0mips64ebp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0powerpcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0powerpcp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0powerpcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0powerpcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0sparc64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0sparc64p5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0sparc64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0sparcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0sparcp5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0sparcp5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0x86_64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0x86_64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0x86_64p5-HTTP-GHTTP-1.07nb12.tgz
NetBSD 9.0x86_64p5-HTTP-GHTTP-1.07nb13.tgz
NetBSD 9.0x86_64p5-HTTP-GHTTP-1.07nb13.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.